petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmMigrate

Relocates points defined in the DMSwarm to other MPI-ranks

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmMigrate(DM dm,PetscBool remove_sent_points)

Collective on DM

### Input parameters

| dm | - the DMSwarm
| remove_sent_points | - flag indicating if sent points should be removed from the current MPI-rank

### Notes

The DM will be modified to accomodate received points. If remove_sent_points = PETSC_TRUE, any points that were sent will be removed from the DM. Different styles of migration are supported. See DMSwarmSetMigrateType().

### See Also

DMSwarmSetMigrateType()

### Level

advanced

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html

### Implementations

DMSwarmMigrate_Basic in src/dm/impls/swarm/swarm.c
DMSwarmMigrate_Push_Basic in src/dm/impls/swarm/swarm_migrate.c
DMSwarmMigrate_DMNeighborScatter in src/dm/impls/swarm/swarm_migrate.c
DMSwarmMigrate_CellDMScatter in src/dm/impls/swarm/swarm_migrate.c
DMSwarmMigrate_CellDMExact in src/dm/impls/swarm/swarm_migrate.c
DMSwarmMigrate_GlobalToLocal_Basic in src/dm/impls/swarm/swarm_migrate.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages